# 
# old_revision [2855ed6eec46e3607dc9df0ec021e5f07ef6c7e5]
# 
# add_file "packages/mono/files/genmdesc-verbose.patch"
#  content [a96f8288ad77bcf7798be3789194e74b5dd46ad5]
# 
# patch "packages/mono/mono_1.2.5.1.bb"
#  from [fcfef733807a03e005b267996fee10306b1d8df0]
#    to [d8b87106f1dd242af1c458bed77e1e9d1021d0ff]
# 
============================================================
--- packages/mono/files/genmdesc-verbose.patch	a96f8288ad77bcf7798be3789194e74b5dd46ad5
+++ packages/mono/files/genmdesc-verbose.patch	a96f8288ad77bcf7798be3789194e74b5dd46ad5
@@ -0,0 +1,17 @@
+--- mono-1.2.5.1/mono/mini/genmdesc.pl.orig	2007-10-03 18:28:13.000000000 +0200
++++ mono-1.2.5.1/mono/mini/genmdesc.pl	2007-10-03 18:29:49.000000000 +0200
+@@ -44,11 +44,13 @@
+ 	die "$arch arch is not supported.\n" unless $arch_found;
+ 
+ 	$cpp .= " -D$arch $srcdir/mini-ops.h|";
+-	#print "Running: $cpp\n";
++	print "Running: $cpp\n";
+ 	open (OPS, $cpp) || die "Cannot execute cpp: $!";
+ 	while (<OPS>) {
++		print "Read: $_";
+ 		next unless /MINI_OP\s*\(\s*(\S+?)\s*,\s*"(.*?)"/;
+ 		my ($sym, $name) = ($1, $2);
++		print "Interpreting as ($sym, $name)\n";
+ 		push @opcodes, [$sym, $name];
+ 		$table{$name} = {num => $i, name => $name};
+ 		$i++;
============================================================
--- packages/mono/mono_1.2.5.1.bb	fcfef733807a03e005b267996fee10306b1d8df0
+++ packages/mono/mono_1.2.5.1.bb	d8b87106f1dd242af1c458bed77e1e9d1021d0ff
@@ -1,10 +1,10 @@ PR = "r2"
 require mono_1.2.5.inc
 
 DEPENDS = "mono-native mono-mcs-intermediate glib-2.0"
 
 PR = "r2"
 
-SRC_URI += "file://configure.patch;patch=1"
+SRC_URI += "file://configure.patch;patch=1 file://genmdesc-verbose.patch;patch=1"
 
 # Per http://www.mono-project.com/Mono:ARM
 EXTRA_OECONF += " --disable-mcs-build "
